/* bndvrt.h

   The interface to the Virtual Memory package, used by the Binder, FilCom, etc.
   Created by JMS, 5/25/80
	GVW 10/6/80
   Translation to C by Pete Stewart, 2/15/83
 */
typedef WORD            VATYPE;
typedef BYTE            BPTYPE;
typedef WORD            PVTYPE;
typedef WORD            IBPTYPE;
typedef WORD            LRUTYPE;
typedef WORD            PNTYPE;
typedef WORD            IPNTYPE;
typedef BYTE            PAGE[CBVBF];
#define DPNALLOC        30
#define SHBTOPN         9
#define SHPNTOB         9
#define SHPLFALOW       9
#define SHPLFAHIGH      7
#define MASKDB          0x1FF
#if SMALLVERSION
#define IPNMAX          768             /* Number of 512 byte blocks on disk */
#endif
#if LARGEVERSION
#define IPNMAX          2048            /* Number of 512 byte blocks on disk */
#endif
#define AREAMAX         255
#ifndef BPMAX
#define BPMAX           255             /* Maximum no. of in-memory pages */
#endif
#if CDEC20
#define BPMAXDS          96             /* Maximum no. of pages in DS space */
#else
#if OEMINTEL
#define BPMAXDS          48             /* Maximum no. of pages in DS space */
#endif
#if OEMOTHER
#define BPMAXDS          72             /* Maximum no. of pages in DS space */
#endif
#endif
#define IBPMAX          401             /* prime # */
#define LRULAST         0xFFFF
#define AREANIL         0
#define IBPNIL          0xFFFF
#define BPNIL           0xFF
#define IPNNIL          0xFFFF
#define PNMAXDUMP       16              /* Mx pp. to dump in WriteNewDirties */
#define CBNONVM         0x2000          /* Leave 8k in heap for other things */

extern char             *ObGetVa();     /* Fetch from virtual memory */
extern char             *ObGetPn();     /* Fetch page from virtual memory */
extern                  MapSpan();      /* Map virtual to real memory */
extern                  MoveToVm();     /* Move to virtual memory */
extern                  InitArea();     /* Intialize VM area */
extern                  InitVm();       /* Initialize VM */
extern                  FinishVm();     /* Terminate VM */
