#
# include <stdio.h>
# include <ctype.h>
# include <signal.h>

/* cc command */

# define MAXINC 10
# define MAXFIL 100
# define MAXLIB 100
# define MAXOPT 100
char	*tmp0 = "/tmp/ct086XXXXXX" ;
char	*tmp1 = "/tmp/ct186XXXXXX" ;
char	*tmp2 = "/tmp/ct286XXXXXX" ;
char	*tmp3 = "/tmp/ct386XXXXXX" ;
char	*tmp4 = "/tmp/ct486XXXXXX" ;
char	*tmp5 = "/tmp/ct586XXXXXX" ;
char	*outfile;
char	*stksize = "s0";
# define CHSPACE 1000
char	ts[CHSPACE+50];
char	*tsa = ts;
char	*tsp = ts;
char	*av[50];
char	*clist[MAXFIL];
char	*llist[MAXLIB];
int	ovrdflag;
int	pflag;
int	sflag;
int	cflag;
int	eflag;
int	aeflag;
int	alflag;
int	exflag;
int	oflag;
int     proflag;
char	*chpass ;
char	*npassname ;
#ifdef CROSS
#ifdef RELFMTI
char    passp[80] =   "/usr/8lib/c86pp";
char    pass0[80] =   "/usr/8lib/Ic86.0";
char    pass1[80] =   "/usr/8lib/Ic86.1";
char    pass2[80] =   "/usr/8lib/Ic86.2";
char    passasm[80] = "/usr/bin/Ia86";
char    passld[80] =  "/usr/bin/Ild86";
char    *pref =       "/usr/8lib/Icrt0.b";
#else
#ifdef F8087
char    passp[80] =   "/usr/8lib/c86pp";
char    pass0[80] =   "/usr/8lib/c86.0";
char    pass1[80] =   "/usr/8lib/c87.1";
char    pass2[80] =   "/usr/8lib/c86.2";
char    passasm[80] = "/usr/bin/a87";
char    passld[80] =  "/usr/bin/ld86";
char    *pref =       "/usr/8lib/crt0.87.b";
#else
char    passp[80] =   "/usr/8lib/c86pp";
char    pass0[80] =   "/usr/8lib/c86.0";
char    pass1[80] =   "/usr/8lib/c86.1";
char    pass2[80] =   "/usr/8lib/c86.2";
char    passasm[80] = "/usr/bin/a86";
char    passld[80] =  "/usr/bin/ld86";
char    *pref =       "/usr/8lib/crt0.b";
#endif
#endif
#define SUFFIX "b"
#else
#ifdef RELFMTI
char    passp[80] =   "/lib/cpp";
char    pass0[80] =   "/lib/Ic0";
char    pass1[80] =   "/lib/Ic1";
char    pass2[80] =   "/lib/Ic2";
char    passasm[80] = "/bin/Ias";
char    passld[80] =  "/bin/Ild";
char    *pref = "/lib/Icrt0.o";
#else
#ifdef F8087
char    passp[80] =   "/lib/cpp";
char    pass0[80] =   "/lib/c0";
char    pass1[80] =   "/lib/c1.87";
char    pass2[80] =   "/lib/c2";
char    passasm[80] = "/bin/as.87";
char    passld[80] =  "/bin/ld";
char    *pref = "/lib/crt0.87.o";
#else
char    passp[80] =   "/lib/cpp";
char    pass0[80] =   "/lib/c0";
char    pass1[80] =   "/lib/c1";
char    pass2[80] =   "/lib/c2";
char    passasm[80] = "/bin/as";
char    passld[80] =  "/bin/ld";
char    *pref = "/lib/crt0.o";
#endif
#endif
#define SUFFIX "o"
#endif
#ifdef RELFMTI
char	*mapfile;
#endif
char	*setsuf();
char	*strcat();
char	*strcpy();

main(argc, argv)
char *argv[]; 
{
	char *t;
	char *savetsp;
	char *assource;
	char **pv, *ptemp[MAXOPT], **pvt;
	char *aopt ;
	int nc, nl, i, j, f20, nxo, na;
	int idexit();

	i = nc = nl = f20 = nxo = 0;
	setbuf(stdout, (char *)NULL);
	pv = ptemp;
	while(++i < argc) {
		if(*argv[i] == '-') switch (argv[i][1]) {
		default:
			goto passa;
		case 'S':
			sflag++;	/* save generated assembler code */
			cflag++;
			break;
		case 'o':		/* rename output */
			if (++i < argc) {
				outfile = argv[i];
				if(getsuf(outfile,"c") && !ovrdflag){
					error("Would overwrite %s", outfile);
					exit(8);
				}
			}
			break;
#ifdef RELFMTI
		case 'm':
			if (++i < argc) {
				mapfile = argv[i];
				if(getsuf(outfile,"c") && !ovrdflag){
					error("Would overwrite %s", outfile);
					exit(8);
				}
			}
			break;
#endif
		case '!':		/* override clobber protection */
			ovrdflag++;
			break;
		case 'O':		/* optimize the output assembly */
			oflag++;
			break;
		case 'p':
			proflag++;
			break;
		case 'E':
			exflag++;
		case 'P':
			pflag++;	/* save preprocessor output */
			*pv++ = argv[i];
		case 'c':
			cflag++;	/* don't try to link */
			break;
		case 'L':		/* generate assembly listing */
			alflag++ ;
			break;
		case 'e':		/* externals only in symbol table */
			aeflag++ ;
			break;
		case 'D':		/* define */
		case 'I':		/* include */
		case 'U':		/* undefine */
		case 'C':
			*pv++ = argv[i];
			if (pv >= ptemp+MAXOPT) {
				error("Too many DIUC options", (char *)NULL);
				--pv;
			}
			break;
		case 'f':
			break;
		case 't':		/* use test version for given passes */
			if (chpass)
				error("-t overwrites earlier option", (char *)NULL);
			chpass = argv[i]+2;
			if (chpass[0]==0)
				chpass = "012pa";
			break;

		case 'B':
			if (npassname)	/* new name for overide passes */
				error("-B overwrites earlier option", (char *)NULL);
			npassname = argv[i]+2;
			if (npassname[0]==0)
				npassname = "/usr/oldc86/";
			break;
/* -s is a switch to the linker now.  -Hans, Feb 24, 82 
		case 's':
			if (++i < argc)
				stksize = argv[i];
			break;
*/
		/* but, we will use the old variable for a similar purpose
		   pass the code generator the stack warning path size
		   by turning '-K0000' into 's0000'.
		 	-Hans, Mar 4, 1982 */
		case 'K':
			stksize = argv[i];
			*++stksize = 's';
			break;

		} 
		else {
passa:
			t = argv[i];
			if(getsuf(t, "c") ||getsuf(t,"s") || exflag) {
				clist[nc++] = t;
				if (nc>=MAXFIL) {
					error("Too many source files", (char *)NULL);
					exit(1);
				}
				t = setsuf(t, SUFFIX);
			}
			if (nodup(llist, t)) {
				llist[nl++] = t;
				if (nl >= MAXLIB) {
					error("Too many object/library files", (char *)NULL);
					exit(1);
				}
				if (getsuf(t, SUFFIX))
					nxo++;
			}
		}
	}
	if (npassname && chpass ==0)
		chpass = "012pal";
	if (chpass && npassname==0)
		npassname = "/usr/newc86/";
	if (chpass)
		for (t=chpass; *t; t++) {
			switch (*t) {
#ifdef CROSS
#ifdef RELFMTI
			case 'p':
				strcpy (passp, npassname);
				strcat (passp, "c86pp");
				continue;
			case '0':
				strcpy (pass0, npassname);
				strcat (pass0, "Ic86.0");
				continue;
			case '1':
				strcpy (pass1, npassname);
				strcat (pass1, "Ic86.1");
				continue;
			case '2':
				strcpy (pass2, npassname);
				strcat (pass2, "Ic86.2");
				continue;
			case 'a':
				strcpy (passasm, npassname);
				strcat (passasm, "Ia86");
				continue;
			case 'l':
				strcpy (passld, npassname);
				strcat (passld, "Ild86");
				continue;
#else
#ifdef F8087
			case 'p':
				strcpy (passp, npassname);
				strcat (passp, "c86pp");
				continue;
			case '0':
				strcpy (pass0, npassname);
				strcat (pass0, "c86.0");
				continue;
			case '1':
				strcpy (pass1, npassname);
				strcat (pass1, "c87.1");
				continue;
			case '2':
				strcpy (pass2, npassname);
				strcat (pass2, "c86.2");
				continue;
			case 'a':
				strcpy (passasm, npassname);
				strcat (passasm, "a87");
				continue;
			case 'l':
				strcpy (passld, npassname);
				strcat (passld, "ld86");
				continue;
#else
			case 'p':
				strcpy (passp, npassname);
				strcat (passp, "c86pp");
				continue;
			case '0':
				strcpy (pass0, npassname);
				strcat (pass0, "c86.0");
				continue;
			case '1':
				strcpy (pass1, npassname);
				strcat (pass1, "c86.1");
				continue;
			case '2':
				strcpy (pass2, npassname);
				strcat (pass2, "c86.2");
				continue;
			case 'a':
				strcpy (passasm, npassname);
				strcat (passasm, "a86");
				continue;
			case 'l':
				strcpy (passld, npassname);
				strcat (passld, "ld86");
				continue;
#endif
#endif
#else
#ifdef RELFMTI
			case 'p':
				strcpy (passp, npassname);
				strcat (passp, "cpp");
				continue;
			case '0':
				strcpy (pass0, npassname);
				strcat (pass0, "Ic0");
				continue;
			case '1':
				strcpy (pass1, npassname);
				strcat (pass1, "Ic1");
				continue;
			case '2':
				strcpy (pass2, npassname);
				strcat (pass2, "Ic2");
				continue;
			case 'a':
				strcpy (passasm, npassname);
				strcat (passasm, "Ias");
				continue;
			case 'l':
				strcpy (passld, npassname);
				strcat (passld, "Ild");
				continue;
#else
#ifdef F8087
			case 'p':
				strcpy (passp, npassname);
				strcat (passp, "cpp");
				continue;
			case '0':
				strcpy (pass0, npassname);
				strcat (pass0, "c0");
				continue;
			case '1':
				strcpy (pass1, npassname);
				strcat (pass1, "c1.87");
				continue;
			case '2':
				strcpy (pass2, npassname);
				strcat (pass2, "c2");
				continue;
			case 'a':
				strcpy (passasm, npassname);
				strcat (passasm, "as.87");
				continue;
			case 'l':
				strcpy (passld, npassname);
				strcat (passld, "ld");
				continue;
#else
			case 'p':
				strcpy (passp, npassname);
				strcat (passp, "cpp");
				continue;
			case '0':
				strcpy (pass0, npassname);
				strcat (pass0, "c0");
				continue;
			case '1':
				strcpy (pass1, npassname);
				strcat (pass1, "c1");
				continue;
			case '2':
				strcpy (pass2, npassname);
				strcat (pass2, "c2");
				continue;
			case 'a':
				strcpy (passasm, npassname);
				strcat (passasm, "as");
				continue;
			case 'l':
				strcpy (passld, npassname);
				strcat (passld, "ld");
				continue;
#endif
#endif
#endif
			}
		}
	if (proflag)
#ifdef CROSS
#ifdef RELFMTI
		pref = "/usr/8lib/Imcrt0.b";
#else
		pref = "/usr/8lib/mcrt0.b";
#endif
#else
#ifdef RELFMTI
		pref = "/lib/Imcrt0.o";
#else
		pref = "/lib/mcrt0.o";
#endif
#endif
	if(nc==0)
		goto nocom;
	if (pflag==0) {
		tmp0 = mktemp(tmp0) ;
		if (creat(tmp0, 0400)<0) {
			error("cc: cannot create temp", (char *) NULL);
			exit(1);
		}
	}
	if (signal(SIGINT, SIG_IGN) != SIG_IGN)
		signal(SIGINT, idexit);
	if (signal(SIGTERM, SIG_IGN) != SIG_IGN)
		signal(SIGTERM, idexit);
	tmp1 = mktemp(tmp1) ;
	tmp2 = mktemp(tmp2) ;
	tmp3 = mktemp(tmp3) ;
	if (oflag)
		tmp5 = mktemp(tmp5) ;
	if (pflag==0)
		tmp4 = mktemp(tmp4) ;
	pvt = pv;
	for (i=0; i<nc; i++) {
		if (nc>1)
			printf("%s:\n", clist[i]);
		if (getsuf(clist[i], "s")) {
			assource = clist[i];
			goto assemble;
		} 
		else
			assource = tmp3;
		if (pflag)
			tmp4 = setsuf(clist[i], "i");
		savetsp = tsp;
		av[0] = "cpp";
		av[1] = "-DI8086";
		na = 2;
		av[na++] = clist[i];
		av[na++] = exflag ? "-" : tmp4;
		for(pv=ptemp; pv <pvt; pv++)
			av[na++] = *pv;
#ifndef I8086
		av[na++] = "-I/usr/include/8086";
#endif
		av[na++]=0;
		if (callsys(passp, av)) {
			cflag++;
			eflag++;
			continue;
		}
		av[1] = tmp4;
		tsp = savetsp;
#ifdef CROSS
#ifdef RELFMTI
		av[0]= "Ic86.0";
#else
		av[0]= "c86.0";
#endif
#else
#ifdef RELFMTI
		av[0]= "Ic0";
#else
		av[0]= "c0";
#endif
#endif
		if (pflag) {
			cflag++;
			continue;
		}
		av[2] = tmp1;
		av[3] = tmp2;
		if (proflag) {
			av[4] = "-p";
			av[5] = 0;
		} 
		else
			av[4] = 0;
		if (callsys(pass0, av)) {
			cflag++;
			eflag++;
			continue;
		}
#ifdef CROSS
#ifdef RELFMTI
		av[0]= "Ic86.1";
#else
#ifdef F8087
		av[0]= "c87.1";
#else
		av[0]= "c86.1";
#endif
#endif
#else
#ifdef RELFMTI
		av[0]= "Ic1";
#else
#ifdef F8087
		av[0]= "c1.87";
#else
		av[0]= "c1";
#endif
#endif
#endif
		av[1] = tmp1;
		av[2] = tmp2;
		if (sflag)
			assource = tmp3 = setsuf(clist[i], "s");
		av[3] = tmp3;
		if (oflag)
			av[3] = tmp5;
		av[4] = stksize;
		av[5] = 0;
		if(callsys(pass1, av)) {
			cflag++;
			eflag++;
			continue;
		}
		if (oflag) {
#ifdef CROSS
#ifdef RELFMTI
			av[0]= "Ic86.2";
#else
			av[0]= "c86.2";
#endif
#else
#ifdef RELFMTI
			av[0]= "Ic2";
#else
			av[0]= "c2";
#endif
#endif
			av[1] = tmp5;
			av[2] = tmp3;
			av[3] = 0;
			if (callsys(pass2, av)) {
				unlink(tmp3);
				tmp3 = assource = tmp5;
			} 
			else
				unlink(tmp5);
		}
		if (sflag)
			continue;
assemble:
#ifdef CROSS
#ifdef RELFMTI
		av[0] = "Ia86";
#else
#ifdef F8087
		av[0] = "a87";
#else
		av[0] = "a86";
#endif
#endif
#else
#ifdef RELFMTI
		av[0] = "Ias";
#else
#ifdef F8087
		av[0] = "as.87";
#else
		av[0] = "as";
#endif
#endif
#endif
		if(alflag && aeflag)
			av[1] = "-gCle";
		else if (alflag)
			av[1] = "-gCl" ;
		else if (aeflag)
			av[1] = "-gCe" ;
		else
			av[1] = "-gC" ;
		av[2] = "-o";
		if (nc == 1 && cflag && outfile) {
			av[3] = outfile;
		} else 
			av[3] = setsuf(clist[i], SUFFIX);
		av[4] = assource;
		av[5] = 0;
		cunlink(tmp1);
		cunlink(tmp2);
		cunlink(tmp4);
		if (callsys(passasm, av) > 1) {
			cflag++;
			eflag++;
			continue;
		}
	}
nocom:
	if (cflag==0 && nl!=0) {
		i = 0;
#ifdef CROSS
#ifdef RELFMTI
		av[0] = "Ild86";
		av[1] = pref;
		j = 2;
#else
		av[0] = "ld86";
		av[1] = "-X";
		av[2] = pref;
		j = 3;
#endif
#else
#ifdef RELFMTI
		av[0] = "Ild";
		av[1] = pref;
		j = 2;
#else
		av[0] = "ld";
		av[1] = "-X";
		av[2] = pref;
		j = 3;
#endif
#endif
		if (outfile) {
			av[j++] = "-o";
			av[j++] = outfile;
		}
#ifdef RELFMTI
		if (mapfile) {
			av[j++] = "-m";
			av[j++] = mapfile;
		}
#endif
/*
		if (stksize) {
			av[j++] = "-s";
			av[j++] = stksize;
		}
*/
		while(i<nl)
			av[j++] = llist[i++];
		if(f20)
			av[j++] = "-l2";
		else {
#ifdef RELFMTI
			av[j++] = "-l";
			av[j++] = "/lib/Ilibfp.a";
			av[j++] = "-l";
			av[j++] = "/lib/Ilibc.a";
#else
#ifdef F8087
			av[j++] = "-lc87";
#else
			av[j++] = "-lc";
#endif
#endif
		}
		av[j++] = 0;
		eflag |= callsys(passld, av);
		if (nc==1 && nxo==1 && eflag==0)
			cunlink(setsuf(clist[0], SUFFIX));
	}
	dexit();
}

idexit()
{
	eflag = 100;
	dexit();
}

dexit()
{
	if (!pflag) {
		cunlink(tmp1);
		cunlink(tmp2);
		if (sflag==0)
			cunlink(tmp3);
		cunlink(tmp4);
		cunlink(tmp5);
		cunlink(tmp0);
	}
	exit(eflag);
}

error(s, x)
char *s, *x;
{
	fprintf(exflag?stderr:stdout, s, x);
	putc('\n', exflag? stderr : stdout);
	cflag++;
	eflag++;
}




getsuf(as, pat)
char as[];
char *pat;
{
	register int c;
	register char *s;
	register int t;

	s = as;
	c = 0;
	while(t = *s++)
		if (t=='/')
			c = 0;
		else
			c++;
	s -= strlen(pat) + 2;
	if (c<=14 && c>strlen(pat) && *s++=='.')
		return(strcmp(s, pat) == 0);
	return(0);
}

char *
setsuf(as, st)
char *as, *st;
{
	register char *s, *s1;

	s = s1 = malloc(strlen(as)+1) ;
	if(s1 == NULL)
		{
		error("no space for file names", (char *)NULL) ;
		dexit() ;
		}
	strcpy(s1,as) ;
	while(*s)
		if (*s++ == '/')
			s1 = s;
	while (*s != '.')
		s--;
	strcpy(s+1, st);
	return(s1);
}

callsys(f, v)
char f[], *v[]; 
{
	register int t;
	int status;

#ifdef DEBUG
	char **p;
	printf ("c86: calling :%s:\n", &f[0] );
	t = 0;
	for (p=v; *p != (char *)0; p++)
		printf ("  arg %d is :%s:\n", t++, *p);
#endif

	if ((t=fork())==0) {
		execv(f, v);
		printf("Can't find %s\n", f);
		exit(100);
	} else
		if (t == -1) {
			printf("Try again\n");
			return(100);
		}
	while(t!=wait(&status))
		;
	if (t = status&0377) {
		if (t!=SIGINT) {
			printf("Fatal error in %s\n", f);
			eflag = 8;
		}
		dexit();
	}
	return((status>>8) & 0377);
}

nodup(l, os)
char **l, *os;
{
	register char *t, *s;
	register int c;

	s = os;
	if (getsuf(s, SUFFIX))
		return(1);
	while(t = *l++) {
		while(c = *s++)
			if (c != *t++)
				break;
		if (*t=='\0' && c=='\0')
			return(0);
		s = os;
	}
	return(1);
}

cunlink(f)
char *f;
{
	if (f==NULL)
		return;
	unlink(f);
}
